summaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorErisa A <erisa@tailscale.com>2026-03-02 18:29:49 +0000
committerGitHub <noreply@github.com>2026-03-02 18:29:49 +0000
commit5a2168da9ef6d7daff8fd0419dbfb6026b02a0ed (patch)
treeda4b52d369a7900968575714d26204c75ed11536 /scripts
parenteeb1fa047bef2896d81eb01ab1a653419c129dc2 (diff)
downloadtailscale-5a2168da9ef6d7daff8fd0419dbfb6026b02a0ed.tar.xz
tailscale-5a2168da9ef6d7daff8fd0419dbfb6026b02a0ed.zip
scripts/installer.sh: handle KDE Linux (#18861)
Display a message pointing to KDE Linux documentation on installing Tailscale Fixes #18306 Signed-off-by: Erisa A <erisa@tailscale.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/installer.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/installer.sh b/scripts/installer.sh
index 8ffd3f572..2c15ea657 100755
--- a/scripts/installer.sh
+++ b/scripts/installer.sh
@@ -341,6 +341,11 @@ main() {
echo "https://github.com/tailscale-dev/deck-tailscale"
exit 1
;;
+ kde-linux)
+ echo "The maintainers of KDE Linux provide documentation on multiple ways to install Tailscale. These instructions are not officially supported by Tailscale:"
+ echo "https://kde.org/linux/docs/more-software/#tailscale"
+ exit 1
+ ;;
# TODO: wsl?
# TODO: synology? qnap?